<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link rel="shortcut icon" href="icons/144x144.png" type="image/png">
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Web site created using create-snowpack-app" />
    <link rel="stylesheet" type="text/css" href="index.css" />
    <link rel="manifest" href="manifest.json">
    <title>The Game of Life</title>
    <script type="module" src="dist/index.js" defer></script>
  </head>
  <body>

    <div>
      <span>
        Width:
        <input type="number" id="widthInput" size="5" value="15">
        height:
        <input type="number" id="heightInput" size="5" value="10">
      </span>
      <noscript>You need to enable JavaScript to run this app.</noscript>
      <canvas oncontextmenu="return false;"></canvas>
      <span>
        <a id="runButton">Run Tick</a>
        <a id="toggleAuto">Run Automatically</a>
        <input type="range" id="speedSlider">
      </span>
    </div>
    
  </body>
</html>

<script>
  if('serviceWorker' in navigator) {
    navigator.serviceWorker.register('sw.js', {
      scope: '.'
    });
  };
</script>